VERSION 5.00
Begin VB.Form frmMailMerge_FindText 
   Caption         =   "Find"
   ClientHeight    =   2535
   ClientLeft      =   1440
   ClientTop       =   2325
   ClientWidth     =   5850
   HelpContextID   =   52400
   Icon            =   "Mail Merge Find Text.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2535
   ScaleWidth      =   5850
   Begin VB.CheckBox chkCaseSensitive 
      Caption         =   "Match Case"
      Height          =   240
      Left            =   1530
      TabIndex        =   7
      Top             =   1305
      Width           =   2850
   End
   Begin VB.CheckBox chkWholeWord 
      Caption         =   "Whole word"
      Height          =   240
      Left            =   1530
      TabIndex        =   6
      Top             =   990
      Width           =   2805
   End
   Begin VB.Frame Frame1 
      Height          =   1095
      Left            =   1305
      TabIndex        =   5
      Top             =   675
      Width           =   3660
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   4185
      TabIndex        =   4
      Top             =   1890
      Width           =   1185
   End
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   2385
      TabIndex        =   3
      Top             =   1890
      Width           =   1185
   End
   Begin VB.CommandButton cmdFindNext 
      Caption         =   "Find Next"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   420
      Left            =   450
      TabIndex        =   2
      Top             =   1890
      Width           =   1185
   End
   Begin VB.TextBox txtFindText 
      Height          =   285
      Left            =   1305
      TabIndex        =   0
      Top             =   270
      Width           =   3660
   End
   Begin VB.Label Label1 
      Caption         =   "Text"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   225
      TabIndex        =   1
      Top             =   315
      Width           =   1185
   End
End
Attribute VB_Name = "frmMailMerge_FindText"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub cmdCancel_Click()
    Me.Hide
End Sub

Private Sub cmdHelp_Click()
    'Show_help (52400)
End Sub

Private Sub cmdFindNext_Click()
    Dim blnWholeWord As Boolean
    Dim blnMatchCase As Boolean
    
    If chkCaseSensitive.Value = vbChecked Then blnMatchCase = True
    If chkWholeWord.Value = vbChecked Then blnWholeWord = True
    
    
    If txtFindText.Text <> "" Then
        Call Find_next(blnWholeWord, blnMatchCase)
    Else
        MsgBox "Please enter the text to locate", vbExclamation
    End If
                        
    
End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    'if user closes the form, stop windows from unloading it and hide it instead
    If UnloadMode = vbFormControlMenu Then
        Cancel = True
        Me.Hide
    End If
    
End Sub

Private Sub txtFindText_Change()
    Const blnRequestReset = True
    'sync with search and replace form
    frmMailMerge_SearchAndReplace.txtFindText.Text = txtFindText.Text
        
    'Request reset of find next proceedure static variables
    Call Find_next(, , blnRequestReset)
    
End Sub
